Package com.google.android.exoplayer2

## Interface Player.TextComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    Player

      public static interface Player.TextComponent

  The text component of a `Player`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTextOutput​(TextOutput listener)` | Registers an output to receive text events.
    `List<Cue>` | `getCurrentCues()` | Returns the current `Cues`.
    `void` | `removeTextOutput​(TextOutput listener)` | Removes a text output.

- - ### Method Detail

    - #### addTextOutput

          void addTextOutput​(TextOutput listener)

      Registers an output to receive text events.
      Parameters:
        `listener` - The output to register.

    - #### removeTextOutput

          void removeTextOutput​(TextOutput listener)

      Removes a text output.
      Parameters:
        `listener` - The output to remove.

    - #### getCurrentCues

          List<Cue> getCurrentCues()

      Returns the current `Cues`. This list may be empty.